<br>
<p align="center">
  <img src="./recursos/imagens/icone-delegua.png" alt="delegua" width="auto" height="130px">
  <h3 align="center">Linguagem Delégua</h3>

  <p align="center">
    Linguagem de programação, derivada da <a href="https://egua.tech/docs/egua" target="_blank">Linguagem Égua</a>
    <br />
    <a href="https://designliquido.github.io/delegua-web/" target="_blank">Página Web com Interpretador Delégua para demonstrações</a>
  </p>

  <p align="center">
    <a href="https://github.com/DesignLiquido/delegua/issues" target="_blank"><img src="https://img.shields.io/github/issues/Designliquido/delegua" /></a>
    <img src="https://img.shields.io/github/stars/Designliquido/delegua" />
    <img src="https://img.shields.io/github/forks/Designliquido/delegua" />
    <a href="https://www.npmjs.com/package/@designliquido/delegua" target="_blank"><img src="https://img.shields.io/npm/v/@designliquido/delegua" /></a>
    <img src="https://img.shields.io/github/license/Designliquido/delegua" />
    <br>
  </p>
</p>

## Introdução

Delégua é uma variação da linguagem Égua, usada para fins educacionais e comerciais pela Design Líquido. A variação começou na versão 1.2.0 de Égua.

Delégua tem retrocompatibilidade com a linguagem Égua e usa a mesma extensão de arquivo (`.egua`). Em outras palavras, todo programa escrito em Égua funciona em Delégua, mas Delégua tem capacidades a mais, [conforme mencionado em documentação](https://github.com/DesignLiquido/delegua/wiki).

## Características

- **Simples e Completa.** Podendo ser usada por pessoas com ou sem experiência em programação.
- **Totalmente em Português.** Desenvolvida totalmente em português para quebrar a barreira do inglês.
- **Grátis.** Sem planos, sem limitações e sem propaganda.
- **Código aberto (open source).** Todo o código fonte disponível para estudar, modificar e contribuir.
- **Linguagem Científica.** Apoiamos e encorajamos o desenvolvimento e aprimoramento da ciência e da educação.

### Usando como LAIR (Leia-Avalie-Imprima-Repita) em console

[Você deve ter o Node.js instalado em seu ambiente](https://dicasdejavascript.com.br/instalacao-do-nodejs-e-npm-no-windows-passo-a-passo). 

Com o Node.js instalado, execute o seguinte comando em um prompt de comando (Terminal, PowerShell ou `cmd` no Windows, Terminal ou `bash` em Mac e Linux):

```
npm install -g delegua
```

Feito isso, execute o seguinte comando:

```
delegua
```

Você terá um interpretador Delégua que avalia expressões linha a linha. 

Para finalizar a execução do interpretador LAIR Delégua, use o atalho <key>Ctrl</key> + <key>C</key> (todos os sistemas operacionais).

É possível usar o interpretador com outros dialetos, como Égua. 

```
delegua --dialeto egua
```

Se não quiser instalar as bibliotecas que acompanham Delégua, apenas o núcleo da linguagem pode ser instalado:

```
npm install -g @designliquido/delegua
```

## Documentação

- [Delégua é documentada na Wiki deste GitHub](https://github.com/DesignLiquido/delegua/wiki). 
- Para acessar a documentação da linguagem Égua, visite https://egua.tech/docs.

## Contribuições e Comunidade

* Para contribuições, por favor, leia o nosso [Guia de Contribuição](.github/CONTRIBUTING.md) antes de submeter uma Pull Request.
* [Temos um grupo no Discord](https://discord.gg/4tBxWSSbdV).
